Subject: index.php in DOC_ROOT must be symlinked

Description

If index.php in DOC_ROQOT is a file and not a symlink (to typo3_src/index.php) the install tool displays this error message:

Path /index.php is not a link
The target /index.php should be a link, but is of type file. This can not be fixed. Please investigate.

Some providers (e.g. Domainfactory and jweiland.net) do not allow symlinks to files (only to directories) for security reasons.

The install tool should reflect this possibility.

Related issues:

related to Core - Bug # 53037: Install Tool: Folder structure is too strict Closed 2013-10-22
related to Core - Bug # 57706: Install tool marking symlinked directories as ... New 2014-04-07
related to Core - Feature # 60848: Allow automatic update if /index.php is no... Closed 2014-08-07
duplicated by Core - Bug # 62563: Index.php symlink causes error 500 (compose... Closed 2014-10-30
duplicated by Core - Bug # 55884: Check for symlink on index.php should be a ... Closed 2014-02-11
duplicated by Core - Task # 57658: Install: Allow real file for index.php Closed 2014-04-04
History

#1 - 2013-10-26 23:56 - Philipp Gampe

- Status changed from New to Accepted

We will lover the severity. However the core updater will not work of the folder structure does not match. Maybe we will add the index.php part as an
exception, however there are concerns that the code will get to complicated that way.

#2 - 2013-10-28 09:52 - Mathias Brodala

Philipp Gampe wrote:

We will lover the severity. However the core updater will not work of the folder structure does not match. Maybe we will add the index.php part as

an exception, however there are concerns that the code will get to complicated that way.

IMHO all of these checks related to the core updater should be disabled completely if the core updater itself has been disabled.

#3 - 2014-07-01 10:15 - Henrik Ziegenhain
Are there any news on the "exception part"?

Imho the very nice and useful feature of automatic core updates is absolutly useless with Domainfactory - and others not allowing symlinks on files

#4 - 2014-11-19 10:22 - Christian Kuhn

Hint: The core updater is just one usage of the FolderStructure, there may be more than these.

What is missing in the folder structure code:

Allow index.php to be an symlink OR a file, but if it is a file, then its content must be identical to a given template.

#5 - 2015-07-16 02:10 - Benjamin Mack

- Category changed from Install Tool to 7 Install Improvements

- Target version set to 7.4 (Backend)

#6 - 2015-07-21 16:00 - Christian Kuhn

i described a solution scenario in #57706
